%define upstream_name    Linux-Cpuinfo
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Object Oriented Interface to /proc/cpuinfo
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::Simple) >= 0.470.0
BuildArch:  noarch
Epoch: 1

%description
On Linux systems various information about the CPU ( or CPUs ) in the
computer can be gleaned from '/proc/cpuinfo'. This module provides an
object oriented interface to that information for relatively simple use in
Perl programs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1:1.120.0-5.mga8
+ Revision: 1495362
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1:1.120.0-4.mga7
+ Revision: 1268885
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1:1.120.0-3.mga6
+ Revision: 1029163
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:1.120.0-2.mga6
+ Revision: 968531
- Mageia 6 Mass Rebuild

* Wed Jul 08 2015 sander85 <sander85> 1:1.120.0-1.mga6
+ Revision: 852921
- update to 1.12

* Wed Oct 15 2014 umeabot <umeabot> 1.900.0-3.mga5
+ Revision: 745760
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.900.0-2.mga5
+ Revision: 685225
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 1.900.0-1.mga5
+ Revision: 670603
- update to 1.9

* Tue Feb 04 2014 shlomif <shlomif> 1.800.0-1.mga5
+ Revision: 581204
- update to 1.8

* Fri Oct 18 2013 umeabot <umeabot> 1.700.0-3.mga4
+ Revision: 512615
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.700.0-2.mga3
+ Revision: 369088
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 30 2011 kharec <kharec> 1.700.0-1.mga2
+ Revision: 174534
- imported package perl-Linux-Cpuinfo


* Wed Nov 30 2011 cpan2dist 1.7-1mga
- initial mageia release, generated with cpan2dist
